> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-ad-account-provisioning-setup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search allows searching for step-up providers with various filters



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/step-up/providers
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/step-up/providers:
    post:
      tags:
        - Step Up Authentication Providers
      summary: Search
      description: Search allows searching for step-up providers with various filters
      operationId: c1.api.stepup.v1.StepUpProviderService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.stepup.v1.SearchStepUpProvidersRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.SearchStepUpProvidersResponse
          description: Response message for searching step-up providers
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpProvider.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchStepUpProvidersResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpProvider.search();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.SearchStepUpProvidersRequest:
      description: Request message for searching step-up providers
      properties:
        pageSize:
          description: Maximum number of results to return
          format: int32
          readOnly: false
          type: integer
        pageToken:
          description: Token for pagination
          readOnly: false
          type: string
        providerType:
          description: The providerType field.
          enum:
            - PROVIDER_TYPE_UNSPECIFIED
            - PROVIDER_TYPE_OAUTH2
            - PROVIDER_TYPE_MICROSOFT
          readOnly: false
          type: string
          x-speakeasy-unknown-values: allow
        query:
          description: Filter by name (partial match)
          readOnly: false
          type: string
        refs:
          description: The refs field.
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProviderRef'
          nullable: true
          readOnly: false
          type: array
      title: Search Step Up Providers Request
      type: object
      x-speakeasy-name-override: SearchStepUpProvidersRequest
    c1.api.stepup.v1.SearchStepUpProvidersResponse:
      description: Response message for searching step-up providers
      properties:
        list:
          description: List of providers matching the search criteria
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProvider'
          nullable: true
          readOnly: false
          type: array
        nextPageToken:
          description: Token for retrieving the next page of results
          readOnly: false
          type: string
      title: Search Step Up Providers Response
      type: object
      x-speakeasy-name-override: SearchStepUpProvidersResponse
    c1.api.stepup.v1.StepUpProviderRef:
      description: The StepUpProviderRef message.
      properties:
        id:
          description: The id field.
          readOnly: false
          type: string
      title: Step Up Provider Ref
      type: object
      x-speakeasy-name-override: StepUpProviderRef
    c1.api.stepup.v1.StepUpProvider:
      description: >
        The StepUpProvider message.


        This message contains a oneof named settings. Only a single field of the
        following list may be set at a time:
          - oauth2
          - microsoft
      properties:
        clientId:
          description: The clientId field.
          readOnly: false
          type: string
        createdAt:
          format: date-time
          readOnly: true
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        id:
          description: The id field.
          readOnly: true
          type: string
        issuerUrl:
          description: The issuerUrl field.
          readOnly: false
          type: string
        lastTestedAt:
          format: date-time
          readOnly: true
          type: string
        microsoft:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpMicrosoftSettings'
        oauth2:
          $ref: '#/components/schemas/c1.api.stepup.v1.StepUpOAuth2Settings'
        updatedAt:
          format: date-time
          readOnly: true
          type: string
      title: Step Up Provider
      type: object
      x-speakeasy-name-override: StepUpProvider
    c1.api.stepup.v1.StepUpMicrosoftSettings:
      description: >-
        StepUpMicrosoftSettings represents a Microsoft Entra Provider using
        Conditional Access Policies to enforce step-up authentication.
      nullable: true
      properties:
        conditionalAccessIds:
          description: The conditionalAccessIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
        tenant:
          description: The tenant field.
          readOnly: false
          type: string
      title: Step Up Microsoft Settings
      type: object
      x-speakeasy-name-override: StepUpMicrosoftSettings
    c1.api.stepup.v1.StepUpOAuth2Settings:
      description: >-
        StepUpOAuth2Settings repersents an OAuth2 provider that supports RFC
        9470 <https://www.rfc-editor.org/rfc/rfc9470>

         Common ACR values for OAuth2 providers include:
           - "urn:okta:loa:1fa:any" (okta)
           - "urn:okta:loa:1fa:pwd" (okta)
           - "urn:okta:loa:2fa:any" (okta)
           - "urn:okta:loa:2fa:any:ifpossible" (okta)
           - "phr" (okta)
           - "phrh" (okta)
      nullable: true
      properties:
        acrValues:
          description: The acrValues field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Step Up O Auth 2 Settings
      type: object
      x-speakeasy-name-override: StepUpOAuth2Settings
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````